RAFILTERADDR(1)

NAME
rafilteraddr - select argus(8) data based on an IANA IP address file.

SYNOPSIS
rafilteraddr -f address.file [raoptions]

DESCRIPTION

Rafilteraddr reads argus data from an argus-data source, and selects records that include IP addresses specified by the address.spec file. This program provides high performance address matching for any number of addresses.

RAFILTERADDR ADDRESS SPECIFICATION
Rafilteraddr, reads a number of standard IANA IP address file formats that specific IPv4 addresses, CIDR addresses and IPV4 prefix address specification. Examples of these file types are provided in ./support/Config. rafilteraddr(1) specific options are:

-f IPv4 address specification

INVOCATION
This invocation reads argus(8) data from argusfile and prints records that match any of the IP addresses in the iana-ipv4-addresses.

   rafilteraddr -r argusfile -f iana-ipv4-addresses - ip

An example address specification that describes a mix of CIDR addresses, IPv4 address ranges and explicit addresses:
  192.168.0.0/24
  192.168.1.3-192.168.2.45
  207.237.36.98

COPYRIGHT
Copyright (c) 2000-2012 QoSient. All rights reserved.

SEE ALSO
ra(1), rarc(5), argus(8),

AUTHORS
Carter Bullard (carter@qosient.com).